XI_CREATE_SHM_IMAGE(3)

FUNCTION
xi_create_shm_image - Create a shared-memory XImage structure.

SYNOPSIS
#include <karma_xi.h>

XImage * xi_create_shm_image

(Display *display, Visual *visual, int depth, unsigned int width, unsigned int height, flag quiet)

DESCRIPTION
Create a shared-memory XImage structure.

display
    The X11 display handle.

visual
    The Visual pointer.

depth
    The depth.

width
    The width of the image.

height
    The height of the image.

quiet
    If TRUE, no error messages are displayed if no shared memory XImage could be created.

RETURN VALUE
An XImage pointer on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/